﻿using System;
using System.ComponentModel;

namespace UrlRewriting
{
    public class Product
    {
        public Product()
        {
        }

        public Product(int productID, string productName, string summaryCode, string description, decimal unitPrice)
        {
            _ProductID = productID;
            _ProductName = productName;
            _SummaryCode = summaryCode;
            _Description = description;
            _UnitPrice = unitPrice;
        }
        
        private int _ProductID = 0;
        private string _ProductName = string.Empty;
        private string _SummaryCode = string.Empty;
        private string _Description = string.Empty;
        private decimal _UnitPrice = 0M;

        [DataObjectField(true, true)]
        public int ProductID
        {
            get
            {
                return _ProductID;
            }
            set
            {
                _ProductID = value;
            }
        }

        public string ProductName
        {
            get
            {
                return _ProductName;
            }
            set
            {
                _ProductName = value;
            }
        }

        public string SummaryCode
        {
            get
            {
                return _SummaryCode;
            }
            set
            {
                _SummaryCode = value;
            }
        }

        public string Description
        {
            get
            {
                return _Description;
            }
            set
            {
                _Description = value;
            }
        }

        public decimal UnitPrice
        {
            get
            {
                return _UnitPrice;
            }
            set
            {
                _UnitPrice = value;
            }
        }
        
        
    }
}
