﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Web;

namespace UrlRewriting
{
    public class ProductNameRewriter : IRewriter
    {
        string IRewriter.RewriteUrl(string currentUrl)
        {
            string rewritePath = string.Empty;
            string processPath = currentUrl.Substring(HttpContext.Current.Request.ApplicationPath.Length).TrimStart('/').ToLower();

            string[] arrPath = processPath.Split('/');

            switch (arrPath[0].ToLower())
            {
                case "products":

                    string[] arrPage = arrPath[1].Split('.');

                    if (arrPage[0].ToLower() != "default")
                    {
                        string summaryCode = arrPage[0].ToLower();
                        UrlRewriting.Products products = UrlRewriting.Products.GetProducts();
                        UrlRewriting.Product product = products.FindBySummaryCode(summaryCode);

                        if(product != null)
                            rewritePath = "~/Products/ProductInformation.aspx?product_id=" + product.ProductID.ToString();
                    }

                    break;
            }

            return rewritePath;
        }
    }
}
