﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using UrlRewriting;

public partial class Products_Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void grdProducts_SelectedIndexChanged(object sender, EventArgs e)
    {
        int productID = Convert.ToInt32(grdProducts.SelectedDataKey.Value);

        // conventional url
        string url = "~/Products/ProductInformation.aspx?product_id=" + productID.ToString();

        Response.Redirect(url);
    }

    protected void grdProductsFriendlyUrl_SelectedIndexChanged(object sender, EventArgs e)
    {
        int productID = Convert.ToInt32(grdProductsFriendlyUrl.SelectedDataKey.Value);

        // friendly url
        Products products = Products.GetProducts();
        Product product = products.FindByID(productID);

        string url = "~/Products/" + product.SummaryCode + ".aspx";

        Response.Redirect(url);
    }

    protected void grdProductsByID_SelectedIndexChanged(object sender, EventArgs e)
    {
        int productID = Convert.ToInt32(grdProductsByID.SelectedDataKey.Value);

        string url = "~/Products/" + productID.ToString("00") + ".aspx";

        Response.Redirect(url);
    }

}
