﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Web;

namespace UrlRewriting
{
    public static class Utils
    {
        // Thanks to Scott Mitchell's MSDN posting for this code !

        public static string ResolveUrl(string url)
        {
            string appPath = HttpContext.Current.Request.ApplicationPath;

            if (url.Length == 0 || url[0] != '~')
                return url;		// there is no ~ in the first character position, just return the url
            else
            {
                if (url.Length == 1)
                    return appPath;  // there is just the ~ in the URL, return the appPath
                if (url[1] == '/' || url[1] == '\\')
                {
                    // url looks like ~/ or ~\
                    if (appPath.Length > 1)
                        return appPath + "/" + url.Substring(2);
                    else
                        return "/" + url.Substring(2);
                }
                else
                {
                    // url looks like ~something
                    if (appPath.Length > 1)
                        return appPath + "/" + url.Substring(1);
                    else
                        return appPath + url.Substring(1);
                }
            }
        }
    }
}
