﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Web;

namespace UrlRewriting
{
    public class ProductIDRewriter : IRewriter
    {
        string IRewriter.RewriteUrl(string currentUrl)
        {
            string rewritePath = string.Empty;
            string processPath = currentUrl.Substring(HttpContext.Current.Request.ApplicationPath.Length).TrimStart('/').ToLower();

            string[] arrPath = processPath.Split('/');

            switch (arrPath[0].ToLower())
            {
                case "products":

                    string[] arrPage = arrPath[1].Split('.');

                    if (arrPage[0].ToLower() != "default")
                    {
                        string pageName = arrPage[0].ToLower();
                        int productID = 0;
                        bool isID = int.TryParse(pageName, out productID);

                        if (isID)
                            rewritePath = "~/Products/ProductInformation.aspx?product_id=" + productID;
                    }

                    break;
            }

            return rewritePath;
        }
    }
}
